Package org.bukkit.material

# Class Mushroom

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Mushroom

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Mushroom extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a huge mushroom block with certain combinations of faces set to cap, pores or stem.

See Also:
  - `Material.LEGACY_HUGE_MUSHROOM_1`
  - `Material.LEGACY_HUGE_MUSHROOM_2`

## Constructor Summary

Constructors
Constructor
Description
`Mushroom(Material shroom)`
Deprecated.
Constructs a brown/red mushroom block with all sides set to pores.
`Mushroom(Material shroom, byte data)`
Deprecated.
Magic value
`Mushroom(Material shroom, BlockFace capFace)`
Deprecated.
Constructs a brown/red mushroom cap block with the specified face or faces set to cap texture.
`Mushroom(Material shroom, MushroomBlockTexture texture)`
Deprecated.
Constructs a brown/red mushroom block with the specified textures.

## Method Summary

Modifier and Type
Method
Description
`Mushroom`
`clone()`
Deprecated.
`MushroomBlockTexture`
`getBlockTexture()`
Deprecated.
Gets the mushroom texture of this block.
`Set<BlockFace>`
`getPaintedFaces()`
Deprecated.
`boolean`
`isFacePainted(BlockFace face)`
Deprecated.
Checks whether a face of the block is painted with cap texture.
`boolean`
`isStem()`
Deprecated.
`void`
`setBlockTexture(MushroomBlockTexture texture)`
Deprecated.
Sets the mushroom texture of this block.
`void`
`setFacePainted(BlockFace face, boolean painted)`
Deprecated.
Use MushroomBlockType cap options
`void`
`setStem()`
Deprecated.
Use `setBlockTexture(org.bukkit.material.types.MushroomBlockTexture)` with `MushroomBlockTexture.STEM_SIDES` or `MushroomBlockTexture.ALL_STEM`
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Mushroom

public Mushroom(Material shroom)
Deprecated.
Constructs a brown/red mushroom block with all sides set to pores.

Parameters:
  `shroom` - A brown or red mushroom material type.
See Also:
  - `Material.LEGACY_HUGE_MUSHROOM_1`
  - `Material.LEGACY_HUGE_MUSHROOM_2`

### Mushroom

public Mushroom(Material shroom, BlockFace capFace)
Deprecated.
Constructs a brown/red mushroom cap block with the specified face or faces set to cap texture. Setting any of the four sides will also set the top to cap. To set two side faces at once use e.g. north-west. Specify self to set all six faces at once.

Parameters:
  `shroom` - A brown or red mushroom material type.
  `capFace` - The face or faces to set to mushroom cap texture.
See Also:
  - `Material.LEGACY_HUGE_MUSHROOM_1`
  - `Material.LEGACY_HUGE_MUSHROOM_2`
  - `BlockFace`

### Mushroom

public Mushroom(Material shroom, MushroomBlockTexture texture)
Deprecated.
Constructs a brown/red mushroom block with the specified textures.

Parameters:
  `shroom` - A brown or red mushroom material type.
  `texture` - The textured mushroom faces.
See Also:
  - `Material.LEGACY_HUGE_MUSHROOM_1`
  - `Material.LEGACY_HUGE_MUSHROOM_2`

### Mushroom

@Deprecated public Mushroom(Material shroom, byte data)
Deprecated.
Magic value

Parameters:
  `shroom` - the type
  `data` - the raw data value

## Method Details

### isStem

public boolean isStem()
Deprecated.

Returns:
  Whether this is a mushroom stem.

### setStem

@Deprecated public void setStem()
Deprecated.
Use `setBlockTexture(org.bukkit.material.types.MushroomBlockTexture)` with `MushroomBlockTexture.STEM_SIDES` or `MushroomBlockTexture.ALL_STEM`
Sets this to be a mushroom stem.

See Also:
  - `MushroomBlockTexture.STEM_SIDES`
  - `MushroomBlockTexture.ALL_STEM`

### getBlockTexture

public MushroomBlockTexture getBlockTexture()
Deprecated.
Gets the mushroom texture of this block.

Returns:
  The mushroom texture of this block

### setBlockTexture

public void setBlockTexture(MushroomBlockTexture texture)
Deprecated.
Sets the mushroom texture of this block.

Parameters:
  `texture` - The mushroom texture to set

### isFacePainted

public boolean isFacePainted(BlockFace face)
Deprecated.
Checks whether a face of the block is painted with cap texture.

Parameters:
  `face` - The face to check.
Returns:
  True if it is painted.

### setFacePainted

@Deprecated public void setFacePainted(BlockFace face, boolean painted)
Deprecated.
Use MushroomBlockType cap options
Set a face of the block to be painted or not. Note that due to the nature of how the data is stored, setting a face painted or not is not guaranteed to leave the other faces unchanged.

Parameters:
  `face` - The face to paint or unpaint.
  `painted` - True if you want to paint it, false if you want the pores to show.

### getPaintedFaces

public Set<BlockFace> getPaintedFaces()
Deprecated.

Returns:
  A set of all faces that are currently painted (an empty set if it is a stem)

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Mushroom clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`